Bug 117582 - [PATCH] Upd-instroot generated error messages
[PATCH] Upd-instroot generated error messages
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-03-05 11:15 EST by Jos Vos
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-20 07:37:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to solve problem (698 bytes, patch)
2004-03-05 11:16 EST, Jos Vos
no flags Details | Diff

  None (edit)
Description Jos Vos 2004-03-05 11:15:10 EST
Description of problem:
When running upd-instroot, the following error message is printed for
every package in PACKAGES that does not exist (like "python2"):

  rpmq: no arguments given for query

This is due to the fact that on line 72 a rpm query command is done,
while "$this" may be empty.

Version-Release number of selected component (if applicable):

Additional info:
I will attach a simple patch to avoid this problem.
Comment 1 Jos Vos 2004-03-05 11:16:52 EST
Created attachment 98321 [details]
Patch to solve problem
Comment 2 Jeremy Katz 2004-03-05 11:58:44 EST
Applied in CVS, will be in next build.

Note You need to log in before you can comment on or make changes to this bug.